Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi
Interface RwiNodeReference

public interface RwiNodeReference
extends RwiReference

A reference to a node. You can get a references to its members, subnodes and supernode.

Author:
  TogetherSoft
See Also: RwiReference

Method Summary
`RwiNodeReference` | `getContainingNodeReference()` Returns a reference to the containg node for this reference's one.
`RwiNode` | `getNode()` Returns a node for this reference.
`RwiNodePositions` | `getNodePositions()`
`RwiMemberReferenceEnumeration` | `memberReferences()` Returns an enumeration of references to the members of this reference's node.
`RwiNodeReferenceEnumeration` | `subnodeReferences()` Returns an enumeration of references to the subnodes of this reference's node.

Methods inherited from interface com.togethersoft.openapi.rwi.RwiReference
`canDelete, delete, getContainingDiagram, getElement, getPositions, outgoingLinkReferences`

Methods inherited from interface com.togethersoft.openapi.rwi.RwiPropertyMap
`addProperty, canAddProperty, canSetProperty, canSetProperty, getProperty, hasProperty, isPropertyReadable, isPropertyWritable, properties, properties, setProperty, setProperty`

Method Detail

### getContainingNodeReference

    public RwiNodeReference getContainingNodeReference()

  Returns a reference to the containg node for this reference's one.
  Returns: a reference to the containg node for this reference's one.

### getNode

    public RwiNode getNode()

  Returns a node for this reference.
  Returns: a node for this reference

### getNodePositions

    public RwiNodePositions getNodePositions()

### memberReferences

    public RwiMemberReferenceEnumeration memberReferences()

  Returns an enumeration of references to the members of this reference's node.
  Returns: an enumeration of references to the members of this reference's node

### subnodeReferences

    public RwiNodeReferenceEnumeration subnodeReferences()

  Returns an enumeration of references to the subnodes of this reference's node.
  Returns: an enumeration of references to the subnodes of this reference's node

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD